#if !defined(AFX_HINTPROPERTYVIEW_H__153BD725_8C54_4A38_967E_5D9339951D57__INCLUDED_)
#define AFX_HINTPROPERTYVIEW_H__153BD725_8C54_4A38_967E_5D9339951D57__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HintPropertyView.h : header file
//

#include "propertiesdlg.h"

/////////////////////////////////////////////////////////////////////////////
// CHintPropertyView view

class CHintPropertyView : public CView
{
protected:
	CHintPropertyView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CHintPropertyView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHintPropertyView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CHintPropertyView();
	CListBox m_listBox;
	CPropertiesDlg m_dlgProp;

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CHintPropertyView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HINTPROPERTYVIEW_H__153BD725_8C54_4A38_967E_5D9339951D57__INCLUDED_)
